## vzquota-3.0.8.tar.bz2

=== src/Makefile ===
#  Copyright (C) 2000-2006 SWsoft. All rights reserved.
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

INSTALL = install
PREFIX = /usr
SBINDIR = ${PREFIX}/sbin
VARDIR = /var
MANDIR = ${PREFIX}/share/man

#DEBUG = -D_DEBUG -g3 -ggdb3 -p -pg
CFLAGS += -pipe -I../include  \
	-g -Wall -Werror -Wformat -D_FILE_OFFSET_BITS=64 \
	-D_LINUX_QUOTA_VERSION=6 -D_LARGEFILE64_SOURCE -DL2 \
	-DVARDIR=\"$(VARDIR)\" $(DEBUG)


OBJS_main = common.o quota_io.o syscall.o \
	main.o stat.o quotaon.o \
	quotacheck.o
OBJS_check = common.o quota_io.o syscall.o \
	quotacheck.o vzdqcheck.o 
OBJS_dump = common.o quota_io.o syscall.o \
	vzdqdump.o
OBJS_load = common.o quota_io.o syscall.o \
	vzdqload.o

OBJS=$(OBJS_main) $(OBJS_check) $(OBJS_dump) $(OBJS_load)
PROGS=vzquota vzdqcheck vzdqdump vzdqload
MANS=vzquota.8 vzdqcheck.8 vzdqdump.8

all: $(PROGS)

depend: $(OBJS:.o=.c)
	$(CC) $(CFLAGS) -MM $(OBJS:.o=.c) > .depend

%.o: %.c
	$(CC) -c $(CFLAGS) $< -o $@

install: $(PROGS)
	$(INSTALL) -d $(DESTDIR)$(SBINDIR)
	$(INSTALL) -d $(DESTDIR)$(MANDIR)/man8
	$(INSTALL) -d $(DESTDIR)$(VARDIR)/vzquota
	for file in $(PROGS); do \
		$(INSTALL) -s -m 755 $$file $(DESTDIR)$(SBINDIR)/$$file; \
	done
	for file in $(MANS); do \
		$(INSTALL) -m 644 ../man/$$file $(DESTDIR)$(MANDIR)/man8/$$file; \
	done
	cd $(DESTDIR)$(MANDIR)/man8; ext=`ls vzdqdump.8*`; ext=$${ext#*.}; \
	ln -fs vzdqdump.$$ext vzdqload.$$ext; chmod 644 vzdqload.$$ext; cd -

clean:
	rm -f $(OBJS) $(PROGS) .depend core *.log
	find . -regex '.*[~#].*' | xargs rm -f

vzquota: $(OBJS_main)
	$(CC) $(CFLAGS) -o $@ $(OBJS_main)

vzdqcheck: $(OBJS_check)
	$(CC) $(CFLAGS) -o $@ $(OBJS_check)

vzdqdump: $(OBJS_dump)
	$(CC) $(CFLAGS) -o $@ $(OBJS_dump)

vzdqload: $(OBJS_load)
	$(CC) $(CFLAGS) -o $@ $(OBJS_load)

-include .depend

=== debian/changelog ===
vzquota (3.0.0.7-1) unstable; urgency=low

  * Initial release, closes: #360867.

 -- Ola Lundqvist <opal@debian.org>  Tue, 25 Apr 2006 21:38:05 +0200

=== debian/control ===
Source: vzquota
Section: admin
Priority: optional
Maintainer: Ola Lundqvist <opal@debian.org>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.2

Package: vzquota
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: kernel-patch-openvz, openvzctl
Description: server virtualization solution - quota tools
 OpenVZ is an Operating System-level server virtualization solution, built
 on Linux. OpenVZ creates isolated, secure virtual private servers on a single
 physical server enabling better server utilization and ensuring that
 applications do not conflict. Each VPS performs and executes exactly like a
 stand-alone server; VPSs can be rebooted independently and have root access,
 users, IP addresses, memory, processes, files, applications, system libraries
 and configuration files.
 .
 This package contain the control tool to manipulate quota for virtual servers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g
VARDIR = /var/lib
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) VARDIR=$(VARDIR)
	#docbook-to-man debian/vzquota.sgml > vzquota.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/vzquota.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/vzquota VARDIR=$(VARDIR)


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
